MFA Assertion Options
post
/v1/auth/mfa/optionsPart of Auth.
Exchange an mfa_required login token for passkey assertion options.
Authentication
This operation does not require an API key.
Request body
Required, application/json.
| Field | Type | Description |
|---|---|---|
mfa_tokenrequired | string | Token from a login that returned mfa_required |
Example request
curl
curl -X POST "https://api.robosystems.ai/v1/auth/mfa/options" \
-H "Content-Type: application/json" \
-d '{
"mfa_token": "string"
}'Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
optionsrequired | object | PublicKeyCredential options (browser JSON, opaque) |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Invalid or expired MFA token |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |